Zum Inhalt springen
Bpanda
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List all users of a role, optionally limited to a unit.

List all users of a role, optionally limited to a unit. Get all users of an organizational role. If unitId parameter is given the result is the intersection with the users of the organisational unit

Security: Manager of the process space.

GET/v1/warehouses/{warehouseId}/orgstructure/roles/{roleId}/userids
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

roleIdstringrequired

ID of the organizational role

Query parameters
unitIdstring

ID of organizational unit

Responses
200

List of user ids.

Array of string
string
403

Forbidden: insufficient permissions

string
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/orgstructure/roles/string/userids' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY'
Response
[
  "string"
]